<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- bootstrap 4 -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>
    <!-- Jquery -->
    <!-- AWEsome font -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css">
    <!-- external css -->
    <link rel="stylesheet" href="./asset/css/reset.css">
    <link rel="stylesheet" href="./asset/css/orders.css">
    <!-- external js -->
    <script src="./asset/js/orders.js"></script>
    <!-- ScrollReveal-->
    <script src="https://unpkg.com/scrollreveal"></script>
    <title>Shop 24h - Orders</title>
</head>

<body>
    <header class="bg-light sticky-top">
        <div class="container">
            <nav class="navbar navbar-expand-sm bg-light navbar-dark sticky-top">
                <a class="navbar-brand" href="./index.html">
                    <img src="./asset/img/logo.png" alt="Logo" class="logo-img">
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="collapsibleNavbar">
                    <ul class="navbar-nav nav justify-content-end">
                        <li id="icon-noti" class="nav-item" title="Notification">
                            <a class="nav-link" href="#!"><i class="fa-regular fa-bell"></i></a>
                        </li>
                        <li id="icon-cart" class="nav-item" title="Cart">
                            <a class="nav-link" href="./cart.html">
                                <i class="fa-solid fa-cart-shopping"></i>
                                <span id="number-product" class="badge badge-pill badge-danger">0</span>
                            </a>
                        </li>
                        <li id="icon-user" class="nav-item d-none">
                            <a class="nav-link" title="User" href="#!"><i class="fa-regular fa-user "></i></a>
                            <div id="user-info" class="user-info d-none">
                                <a href="./profile.html" class="profile"><i class="fa-solid fa-user"></i>Profile</a>
                                <a href="./wishlist.html"><i style="color: violet;" class="fa-solid fa-heart"></i>Wishlist</a>
                                <a href="./orders.html" class="profile"><i class="fa-solid fa-truck-fast"></i> Orders</a>
                                <button id="btn-signout" class="btn-signout"><i style="color: #fff;" class="fa-solid fa-right-from-bracket"></i>Logout</button>
                            </div>
                        </li>
                        <li id="icon-login" class="nav-item" title="Login">
                            <a class="nav-link" href="./login.html"><i class="fa-solid fa-right-to-bracket"></i></a>
                        </li>
                    </ul>
                </div>
            </nav>
        </div>
    </header>
    <main>
        <!-- Path -->
        <div class="path">
            <div class="container">
                <div class="row link mt-5">
                    <div class="col-12">
                        <a href="./index.html">Home </a>
                        <i class="fa-solid fa-angles-right"></i>
                        <span id="product-link-name"> Order's information</span>
                    </div>
                </div>
            </div>
        </div>
        <!-- Profile -->
        <div class="profile">
            <div class="container jumbotron mt-5">
                <div class="row">
                    <div class="user-header col-lg-12">
                        <img id="user-img" src="./asset/img/temp-avata.png" alt="user-img" class="user-img">
                        <p class="email"><i class="fa-regular fa-envelope"></i> <span
                                id="email-header">useremail@gmail.com</span></p>
                        <p class="phone"><i class="fa-solid fa-square-phone-flip"></i> <span
                                id="phone-header">01111222233</span></p>
                    </div>
                    <div class="col-lg-12 user-body mt-5">
                        <h2> <i class="fa-solid fa-circle-info"></i> ORDER'S INFORMATION</h2>
                        <div class="order-header">
                            <div class="row d-flex justify-content-center">
                                <div class="mt-3 col-12 col-sm-6 col-md-4 col-xl-2">
                                    <h4 class="bg-success active" id="all-order">All-orders</h4>
                                </div>
                                <div class="mt-3 col-12 col-sm-6 col-md-4 col-xl-2">
                                    <h4 class="bg-info" id="onhold">Onhold</h4>
                                </div>
                                <div class="mt-3 col-12 col-sm-6 col-md-4 col-xl-2">
                                    <h4 class="bg-primary" id="delivering">Delivering</h4>
                                </div>
                                <div class="mt-3 col-12 col-sm-6 col-md-4 col-xl-2">
                                    <h4 class="bg-warning" id="shipped">Shipped</h4>
                                </div>
                                <div class="mt-3 col-12 col-sm-6 col-md-4 col-xl-2">
                                    <h4 class="bg-danger" id="canceled">Canceled</h4>
                                </div>
                            </div>
                            <div id="order-container" class="row mt-5 list-order">
                                <!-- Item order -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal Order details-->
        <!-- Details Modal -->
        <div id="details-modal" class="modal-details d-none">
            <div class="modal-content">
                <span class="close close">&times;</span>
                <div id="product-container" class="product-list">
                    <div class="row product-item">
                        <div class="product-details col-12 col-sm-6 col-md-3">
                            <img src="./asset/img/headphone-10.png" alt="" class="product-img">
                        </div>
                        <div class="product-details col-12 col-sm-6 col-md-3">
                            <p class="product-name text-info">Headphone JBL</p>
                        </div>
                        <div class="product-details col-12 col-sm-6 col-md-3">
                            <p class="product-price">Price: $ <span class="text-danger">500</span></p>
                        </div>
                        <div class="product-details col-12 col-sm-6 col-md-3">
                            <p class="product-quantity">Quantity: 5</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal noti cancel-->
        <div class="modals d-none" id="modal-cancel">
            <div class="modal-dialog">
                <div class="modal-content">
                    <!-- Modal body -->
                    <div class="modal-body">
                        <i id="icon-close-modal-cancel" class="fa-solid fa-xmark"></i>
                        <p class="noti">Do you want to cancel your order?</p>
                        <button id="btn-confirm-cancel" class="btn btn-danger btn-cancel-order">Confirm</button>
                    </div>
                </div>
            </div>
        </div>
    </main>
    <!-- Toast -->
    <div class="toast" data-autohide="false">
        <div class="toast-header bg-success">
            <strong class="mr-auto text-light">Notification</strong>
            <button type="button" class="ml-2 mb-1 close-toast" data-dismiss="toast">&times;</button>
        </div>
        <div class="toast-body bg-success">
            <p class="text-light">Cancel successfully!</p>
        </div>
    </div>
    <!-- Stores -->
    <div class="stores">
        <div class="container">
            <div class="row text-center">
                <div class="col-12 title">
                    <h2>STORES</h2>
                </div>
            </div>
            <div id="store-list" class="row store-list">
                <div class="col-12 col-sm-6 col-md-3 mt-5">
                    <!-- Store item -->
                </div>
            </div>
        </div>
    </div>
    <!-- Footer -->
    <footer>
        <div class="footer">
            <div class="container">
                <div class="body row">
                    <div class="col-lg-3 col-md-6 col-sm-6 col-12 footer-list">
                        <h4 class="title">PRODUCTS</h4>
                        <a href="#!">
                            <p class="desc">Help Center</p>
                        </a>
                        <a href="#!">
                            <p class="desc">Contact Us</p>
                        </a>
                        <a href="#!">
                            <p class="desc">Product Help</p>
                        </a>
                        <a href="#!">
                            <p class="desc">Warranty</p>
                        </a>
                        <a href="#!">
                            <p class="desc">Order Status</p>
                        </a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-6 col-12 footer-list">
                        <h4 class="title">SERVICES</h4>
                        <a href="#!">
                            <p class="desc">Help Center</p>
                        </a>
                        <a href="#!">
                            <p class="desc">Contact Us</p>
                        </a>
                        <a href="#!">
                            <p class="desc">Product Help</p>
                        </a>
                        <a href="#!">
                            <p class="desc">Warranty</p>
                        </a>
                        <a href="#!">
                            <p class="desc">Order Status</p>
                        </a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-6 col-12 footer-list">
                        <h4 class="title">SUPPORTS</h4>
                        <a href="#!">
                            <p class="desc">Help Center</p>
                        </a>
                        <a href="#!">
                            <p class="desc">Contact Us</p>
                        </a>
                        <a href="#!">
                            <p class="desc">Product Help</p>
                        </a>
                        <a href="#!">
                            <p class="desc">Warranty</p>
                        </a>
                        <a href="#!">
                            <p class="desc">Order Status</p>
                        </a>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-6 col-12 footer-social">
                        <img src="./asset/img/logo.png" alt="Logo footer">
                        <div class="social-block">
                            <a href="#!"><i class="fa-brands fa-facebook"></i></a>
                            <a href="#!"><i class="fa-brands fa-instagram"></i></a>
                            <a href="#!"><i class="fa-brands fa-youtube"></i></a>
                            <a href="#!"><i class="fa-brands fa-square-twitter"></i></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </footer>
</body>

</html>